package org.wfc.omada.api.monitor.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * IpsecVpnStats
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:38:12.484+08:00[Asia/Shanghai]")

public class IpsecVpnStats   {
  @JsonProperty("site")
  private String site;

  @JsonProperty("name")
  private String name;

  @JsonProperty("id")
  private Integer id;

  @JsonProperty("status")
  private Boolean status;

  @JsonProperty("direction")
  private String direction;

  @JsonProperty("localPeerIp")
  private String localPeerIp;

  @JsonProperty("remotePeerIp")
  private String remotePeerIp;

  @JsonProperty("localSa")
  private String localSa;

  @JsonProperty("remoteSa")
  private String remoteSa;

  public IpsecVpnStats site(String site) {
    this.site = site;
    return this;
  }

  /**
   * Get site
   * @return site
  */
  @ApiModelProperty(value = "")


  public String getSite() {
    return site;
  }

  public void setSite(String site) {
    this.site = site;
  }

  public IpsecVpnStats name(String name) {
    this.name = name;
    return this;
  }

  /**
   * VPN name
   * @return name
  */
  @ApiModelProperty(value = "VPN name")


  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public IpsecVpnStats id(Integer id) {
    this.id = id;
    return this;
  }

  /**
   * VPN ID
   * @return id
  */
  @ApiModelProperty(value = "VPN ID")


  public Integer getId() {
    return id;
  }

  public void setId(Integer id) {
    this.id = id;
  }

  public IpsecVpnStats status(Boolean status) {
    this.status = status;
    return this;
  }

  /**
   * VPN status, whether to enable VPN 
   * @return status
  */
  @ApiModelProperty(value = "VPN status, whether to enable VPN ")


  public Boolean getStatus() {
    return status;
  }

  public void setStatus(Boolean status) {
    this.status = status;
  }

  public IpsecVpnStats direction(String direction) {
    this.direction = direction;
    return this;
  }

  /**
   * SA direction should be a value as follows: in; out
   * @return direction
  */
  @ApiModelProperty(value = "SA direction should be a value as follows: in; out")


  public String getDirection() {
    return direction;
  }

  public void setDirection(String direction) {
    this.direction = direction;
  }

  public IpsecVpnStats localPeerIp(String localPeerIp) {
    this.localPeerIp = localPeerIp;
    return this;
  }

  /**
   * IP address of the local peer
   * @return localPeerIp
  */
  @ApiModelProperty(value = "IP address of the local peer")


  public String getLocalPeerIp() {
    return localPeerIp;
  }

  public void setLocalPeerIp(String localPeerIp) {
    this.localPeerIp = localPeerIp;
  }

  public IpsecVpnStats remotePeerIp(String remotePeerIp) {
    this.remotePeerIp = remotePeerIp;
    return this;
  }

  /**
   * IP address of the remote peer
   * @return remotePeerIp
  */
  @ApiModelProperty(value = "IP address of the remote peer")


  public String getRemotePeerIp() {
    return remotePeerIp;
  }

  public void setRemotePeerIp(String remotePeerIp) {
    this.remotePeerIp = remotePeerIp;
  }

  public IpsecVpnStats localSa(String localSa) {
    this.localSa = localSa;
    return this;
  }

  /**
   * Local network segment of SA Cover
   * @return localSa
  */
  @ApiModelProperty(value = "Local network segment of SA Cover")


  public String getLocalSa() {
    return localSa;
  }

  public void setLocalSa(String localSa) {
    this.localSa = localSa;
  }

  public IpsecVpnStats remoteSa(String remoteSa) {
    this.remoteSa = remoteSa;
    return this;
  }

  /**
   * Remote network segment of SA Cover
   * @return remoteSa
  */
  @ApiModelProperty(value = "Remote network segment of SA Cover")


  public String getRemoteSa() {
    return remoteSa;
  }

  public void setRemoteSa(String remoteSa) {
    this.remoteSa = remoteSa;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    IpsecVpnStats ipsecVpnStats = (IpsecVpnStats) o;
    return Objects.equals(this.site, ipsecVpnStats.site) &&
        Objects.equals(this.name, ipsecVpnStats.name) &&
        Objects.equals(this.id, ipsecVpnStats.id) &&
        Objects.equals(this.status, ipsecVpnStats.status) &&
        Objects.equals(this.direction, ipsecVpnStats.direction) &&
        Objects.equals(this.localPeerIp, ipsecVpnStats.localPeerIp) &&
        Objects.equals(this.remotePeerIp, ipsecVpnStats.remotePeerIp) &&
        Objects.equals(this.localSa, ipsecVpnStats.localSa) &&
        Objects.equals(this.remoteSa, ipsecVpnStats.remoteSa);
  }

  @Override
  public int hashCode() {
    return Objects.hash(site, name, id, status, direction, localPeerIp, remotePeerIp, localSa, remoteSa);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class IpsecVpnStats {\n");
    
    sb.append("    site: ").append(toIndentedString(site)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("    direction: ").append(toIndentedString(direction)).append("\n");
    sb.append("    localPeerIp: ").append(toIndentedString(localPeerIp)).append("\n");
    sb.append("    remotePeerIp: ").append(toIndentedString(remotePeerIp)).append("\n");
    sb.append("    localSa: ").append(toIndentedString(localSa)).append("\n");
    sb.append("    remoteSa: ").append(toIndentedString(remoteSa)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

